Companies

Analyze LO arrivals and departures for a company

POST
/v1/companies/{nmlsId}/sponsorship-movement

Authorization

x-api-key<token>

In: header

Path Parameters

nmlsId*string

Company NMLS ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/companies/string/sponsorship-movement" \  -H "Content-Type: application/json" \  -d '{}'
{
  "arrivalSources": [
    {
      "companyName": "string",
      "companyNmlsId": "string",
      "count": 0
    }
  ],
  "arrivals": [
    {
      "name": "string",
      "nmlsId": "string",
      "previousCompany": "string",
      "previousCompanyNmlsId": "string",
      "startDate": "string"
    }
  ],
  "departureDests": [
    {
      "companyName": "string",
      "companyNmlsId": "string",
      "count": 0
    }
  ],
  "departures": [
    {
      "endDate": "string",
      "name": "string",
      "nextCompany": "string",
      "nextCompanyNmlsId": "string",
      "nmlsId": "string"
    }
  ],
  "leftIndustry": 0,
  "newToIndustry": 0,
  "summary": {
    "arrivals": 0,
    "departures": 0,
    "netChange": 0
  }
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "limit": 0,
  "size": 0
}